Name:           perl-Module-Install
Version:        1.19
Release:        6
Summary:        Standalone, extensible Perl module installer
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Module-Install
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/Module-Install-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils make perl-generators perl-interpreter perl(lib) perl(strict) perl(warnings) perl(Config)
BuildRequires:  perl(Cwd) perl(Devel::PPPort) >= 3.16 perl(ExtUtils::MakeMaker) >= 6.76 perl(ExtUtils::Manifest)
BuildRequires:  perl(ExtUtils::MM_Unix) perl(Fcntl) perl(File::Basename) perl(File::Find) perl(File::Path)
BuildRequires:  perl(File::Remove) >= 1.42 perl(File::Spec) >= 3.28 perl(File::Temp) perl(FileHandle) perl(FindBin)
BuildRequires:  perl(Module::CoreList) >= 2.17 perl(Parse::CPAN::Meta) >= 1.4413 perl(vars) perl(YAML::Tiny) >= 1.38
BuildRequires:  perl(autodie) perl(ExtUtils::MM) perl(Symbol) perl(Test::More)  perl(utf8)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version)) perl(Archive::Zip) >= 1.37
Requires:       perl(Carp) perl(CPAN) perl(Devel::PPPort) >= 3.16 perl(ExtUtils::MakeMaker) >= 6.59 perl(ExtUtils::MM_Unix)
Recommends:     perl(CPANPLUS::Backend)
Requires:       perl(File::Remove) >= 1.42 perl(File::Spec) >= 3.28  perl(File::Temp)  perl(FileHandle)  perl(FindBin)
Requires:       perl(Module::Build) >= 0.29  perl(Module::CoreList) >= 2.17  perl(Parse::CPAN::Meta) >= 1.4413
Requires:       perl(Socket)  perl(YAML::Tiny) >= 1.38

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Devel::PPPort\\)$
%global __requires_exclude %__requires_exclude|^perl\\(ExtUtils::MakeMaker\\)$
%global __requires_exclude %__requires_exclude|^perl\\(File::Remove\\)$
%global __requires_exclude %__requires_exclude|^perl\\(File::Spec\\)$
%global __requires_exclude %__requires_exclude|^perl\\(YAML::Tiny\\)$

%description
Module::Install is a package for writing installers for CPAN (or CPAN-like) distributions
that are clean, simple, minimalist, act in a strictly correct manner with ExtUtils::MakeMaker,
and will run on any Perl installation version 5.005 or newer.

The intent is to make it as easy as possible for CPAN authors (and especially for first-time
CPAN authors) to have installers that follow all the best practices for distribution
installation, but involve as much DWIM (Do What I Mean) as possible when writing them.

%prep
%autosetup -n Module-Install-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*
%exclude /blib/lib/auto/share/dist/Module-Install/dist_file.txt

%changelog
* Fri Jan 10 2019 Tianfei <tianfei16@huawei.com> - 1.19-6
- Package init

